
#![allow(dead_code)]

#[macro_use] extern crate log;
#[macro_use] extern crate ad_hoc_iter;
#[macro_use] extern crate lazy_static;
#[macro_use] extern crate serde;

use color_eyre::{
    eyre::{
	self,
	eyre,
	WrapErr,
    },
    SectionExt, Help,
};
use futures::Future;

mod ext;
mod key;
mod cha;
mod enc;

mod config;
mod args;

mod send;

fn setup() -> eyre::Result<()>
{
    color_eyre::install()?;
    pretty_env_logger::init();

    Ok(())
}

#[tokio::main]
async fn main() -> eyre::Result<()> {
    setup().wrap_err(eyre!("Failed to initialise logger"))?;

    args::Usage.print_and_exit(0);
    
    Ok(())
}
